View Issue Details

IDProjectCategoryView StatusLast Update
00035683 - Current Dev ListBugpublic2019-11-21 05:26
ReporterWA9PIEAssigned ToWA9PIE 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionreopened 
Product Version 
Target VersionFixed in Version6.7.0.252 
Summary0003568: The Logbook tab in the ALE no longer works
DescriptionA very popular feature in Logbook is the Logbook tab in the ALE. Users will use the Logbook tab to let them view previous QSOs with this callsign (either partially or exactly).

In this case, the "Partial" and "Exact" no longer work.
Steps To Reproduce- Open Rig Control with any radio or Demomatic
- Open Logbook
- Make note of a QSO with any specific station in your log (W1AW in my example in the attached image)
- Open an ALE
- Change to its Logbook tab (click either Partial or Exact; repeat these steps with the both buttons)
- Enter the specific callsign and allow a callsign lookup to occur for the call (tab or click the lookup button)

BUG: No previous QSOs are displayed in the ALE's Logbook tab.
Tags6.7 defects
ModuleLogbook
Sub-ModuleALE Window
Testing Beta Successful

Relationships

related to 0003591 closedWA9PIE Invoking a callsign lookup in the ALE forces a switch to the Logbook tab (should stay at current tab) 

Activities

WA9PIE

2019-11-10 06:29

administrator  

ALE-LogbookTab.png (166,050 bytes)
ALE-LogbookTab.png (166,050 bytes)

w4elp

2019-11-11 10:44

updater   ~0009261

v245 - Partial and Exact buttons actually work ok. Prior to v6.7, the Logbook tab populated automatically when a call sign with previous QSOs was entered in the ALE, being filtered subject to which "Partial" or "Exact" button was last clicked. As of v6.7, you have to manually click the "Find" button to populate the Logbook tab - at least the first time. If the current instance of the ALE is reset and a new call sign entered (with previous QSOs) is entered, just clicking Partial or Exact will populate the Logbook tab - clicking the Find button not required. however if a new instance of the ALE is opened, the process starts all over.

WA9PIE

2019-11-11 15:27

administrator   ~0009264

You seriously have to click the "Find" button? That's a significant difference from before and the users won't have any idea that they need to do that.

That's the problem that needs fixed then. The Logbook tab should automatically populate after the callsign lookup occurs.

w4elp

2019-11-11 17:02

updater   ~0009267

That's right, Mike. It worked fine in 6.6.0.237 - enter a call sign, hit TAB and it does the lookup as well as populating the Logbook tab with previous QSOs - no additional clicking required.

"Partial" and "Exact" button functions are just fine in 245. Just fix the "Find" button.

g3ucq

2019-11-12 03:40

updater   ~0009274

Only the Find button populates QSO data.

DOUG

2019-11-13 23:44

developer   ~0009303

I didn't really see signs that this used to work, but If I am reading this right, as long was the list updates after you tab out of the call sign control it will be fixed?
Let me know if there is more to it than that.

Otherwise its checked in, and will be in the build I am about to kick off.

DOUG

2019-11-14 00:29

developer   ~0009304

in the build just posted

WA9PIE

2019-11-14 02:55

administrator   ~0009311

This bug is resolved. Leaving it open for further comment.

(Separate issue related to the "Width" button not working. Will open a separate issue.)

WA9PIE

2019-11-16 16:50

administrator   ~0009336

Validated in 6.7.0.247

(now working with 0003591)

DOUG

2019-11-17 17:39

developer   ~0009338

In my first pass I thought we wanted to do the find on "tabbing out of callsign", talking with Mike, it sounds like we want to always do the Find after the Lookup is done. I changed it to do this, so now editing and tabbing out will not do the fine, but the lookup will do the look up then do the fine (and change the tab, back to the logbook tab

g3ucq

2019-11-18 05:04

updater   ~0009360

Apart from the Mantis 0003594 issue this is working now.

WA9PIE

2019-11-18 05:04

administrator   ~0009361

Clarification.

The "Find" should always happen when "tabbing out of callsign" or when clicking "Lookup"... but these actions should not change ALE to the Logbook tab.

w4elp

2019-11-18 08:30

updater   ~0009364

6.7.0.249: Logbook tab now populates ok upon tabbing out of call sign field. But callsign lookup no longer happens upon tabbing out. In all previous versions thru 6.6.237, entering a callsign and tabbing out would trigger population of Logbook tab (assuming there were previous QSOs with the station) as well as a lookup cycle to populate the ALE. With 6.7.0.249, populating Logbook tab is fixed, but lookup cycle doesn't happen. Have to click Lookup button manually.

g3ypp

2019-11-18 10:42

updater   ~0009370

I see the same as W4ELP
Enter a callsign in ALE, tab out of callsign field.
Logbook tab populates but lookup is not triggered. Clicking on lookup populates data

WA9PIE

2019-11-19 05:09

administrator   ~0009391

Retest this please guys.

g3ypp

2019-11-19 05:28

updater   ~0009393

I think this is almost there but not quiet
In .250 the process is now working opposite to what w4elp and I stated in 9364 and 9370
Enter a callsign in ALE and tab out of callsign field
Lookup fields AND Logbook tab do populate as expected.
But
If you enter a call in the Lookup pane, say by clicking on cluster then click on Logbook in the lookup pane:-
ALE opens with Callsign and look up pane populated - but not logbook tab.
Press Find button and logbook tab populates

w4elp

2019-11-19 05:36

updater   ~0009395

6.7.0.250: I agree with G3YPP. The Logbook ALE is now working as it should. But when a new ALE window is opened from the Lookup pane, it should populate the new ALE's Logbook tab as well.

WA9PIE

2019-11-19 05:47

administrator   ~0009396

Last edited: 2019-11-19 05:48

View 3 revisions

Okay... trying to assist Doug with this, as he's never worked with this part of the code.

There are basically two related things that happen inside the ALE.

"Lookup" - which exercises the "callsign lookup" logic. This is never used in conjunction with changing the current tab in the ALE.

And "Find" - which populates the Logbook tab of the ALE.

The "Lookup" is exercised under the following actions:
1. User puts a callsign into the callsign field and hits the "TAB" key. This causes a "Find" to match the callsign based on the button selection in the Logbook pane in the ALE tab for "Exact" or "Partial." In this case, the tab in the ALE is left where it is.
2. User puts a callsign into the callsign field and clicks the "Lookup" button. This causes a "Find" to match the callsign based on the button selection in the Logbook pane in the ALE tab for "Exact" or "Partial." In this case, the tab in the ALE is left where it is.
3. User puts a callsign into the Lookup pane and clicks the "Logbook" button. This causes a "Find" to match the callsign based on the button selection in the Logbook pane in the ALE tab for "Exact" or "Partial." In this case, the tab in the ALE is left where it is.
4. User selects a callsign from the DX cluster pane. This causes a "Find" to match the callsign based on the button selection in the Logbook pane in the ALE tab for "Exact" or "Partial." In this case, the tab in the ALE is left where it is.

The "Find" is also exercised under these additional actions:
1. User clicks the magnifying glass & folder icon to the right of the "Callsign" field. This causes a "Find" to match the callsign based on the button selection in the Logbook pane in the ALE tab for "Exact" or "Partial." This changes the tab to the Logbook tab in the ALE.
2. User clicks the magnifying glass & folder icon to the right of the "Locator" field. This changes the tab to the Logbook tab in the ALE. This causes a "Find" to match the "Locator." This changes the tab to the Logbook tab in the ALE.
3. User clicks the magnifying glass & folder icon to the right of the "Country" field. This changes the tab to the Logbook tab in the ALE. This causes a "Find" to match the "Country." This changes the tab to the Logbook tab in the ALE. (Presently, this is grey'd out.)

Replacing/changing the callsign by any method (F4, "Reset" button, or just typing in a new call and pressing the TAB key or clicking Lookup) should cause the whole process to start again.

w4elp

2019-11-19 06:01

updater   ~0009397

Mike, I believe that explains it as accurately as possible. I can't think of anything to add or change.

g3ucq

2019-11-19 07:05

updater   ~0009398

I agree with W4ELP.

WA9PIE

2019-11-20 01:47

administrator   ~0009414

Ready for retest in 6.7.0.251

PD9FER

2019-11-20 01:52

updater   ~0009416

Confirm fixed

g3ypp

2019-11-20 03:36

updater   ~0009420

My comment in 9393 above is still happening ie:
The ALE logbook tab does not auto populate if ALE is opened by clicking "Logbook" in the lookup pane.
to reproduce:
Find a cluster spot that you have worked before
Click on cluster spot (or enter the callsign of a station that you have worked before in the lookup pane)
Lookup pane populates with station details and past QSOs
Click on Logbook
ALE opens with callsign field populated. Lookkup fields are populated
You have to click "Find" to populate Logbook data.

WA9PIE

2019-11-20 03:39

administrator   ~0009421

I confirm G3YPP's findings. Sending it back to Doug.

g3ucq

2019-11-20 04:06

updater   ~0009426

I confirm G3YPP's findings in 9420

DOUG

2019-11-20 23:12

developer   ~0009437

Fixed in the build 6.7.0.252. I am NOT auto switching to the log book view tab when doing an add from the lookup pane, on mine it defaults to country. Let me know if we should switch to the other tab.

g3ypp

2019-11-21 02:55

updater   ~0009438

Fixed for me in .252

g3ucq

2019-11-21 03:14

updater   ~0009440

Fixed for me in .252

WA9PIE

2019-11-21 05:26

administrator   ~0009443

Validated

Issue History

Date Modified Username Field Change
2019-11-10 06:29 WA9PIE New Issue
2019-11-10 06:29 WA9PIE File Added: ALE-LogbookTab.png
2019-11-10 06:29 WA9PIE Tag Attached: 6.7 defects
2019-11-10 06:29 WA9PIE Assigned To => K7ZCZ
2019-11-10 06:29 WA9PIE Status new => assigned
2019-11-10 06:36 WA9PIE Issue cloned: 0003569
2019-11-11 10:44 w4elp Note Added: 0009261
2019-11-11 15:27 WA9PIE Note Added: 0009264
2019-11-11 17:02 w4elp Note Added: 0009267
2019-11-12 03:40 g3ucq Note Added: 0009274
2019-11-13 22:55 DOUG Assigned To K7ZCZ => DOUG
2019-11-13 23:44 DOUG Note Added: 0009303
2019-11-14 00:29 DOUG Assigned To DOUG => WA9PIE
2019-11-14 00:29 DOUG Status assigned => resolved
2019-11-14 00:29 DOUG Resolution open => fixed
2019-11-14 00:29 DOUG Note Added: 0009304
2019-11-14 02:55 WA9PIE Fixed in Version => 6.7.0.247
2019-11-14 02:55 WA9PIE Description Updated View Revisions
2019-11-14 02:55 WA9PIE Steps to Reproduce Updated View Revisions
2019-11-14 02:55 WA9PIE Note Added: 0009311
2019-11-16 16:50 WA9PIE Status resolved => closed
2019-11-16 16:50 WA9PIE Testing Not Started => Alpha Successful
2019-11-16 16:50 WA9PIE Note Added: 0009336
2019-11-16 16:51 WA9PIE Relationship added related to 0003591
2019-11-17 17:39 DOUG Status closed => feedback
2019-11-17 17:39 DOUG Resolution fixed => reopened
2019-11-17 17:39 DOUG Note Added: 0009338
2019-11-17 22:14 DOUG Status feedback => resolved
2019-11-18 05:04 g3ucq Note Added: 0009360
2019-11-18 05:04 WA9PIE Note Added: 0009361
2019-11-18 08:30 w4elp Note Added: 0009364
2019-11-18 10:42 g3ypp Note Added: 0009370
2019-11-19 05:09 WA9PIE Note Added: 0009391
2019-11-19 05:28 g3ypp Note Added: 0009393
2019-11-19 05:36 w4elp Note Added: 0009395
2019-11-19 05:47 WA9PIE Note Added: 0009396
2019-11-19 05:48 WA9PIE Note Edited: 0009396 View Revisions
2019-11-19 05:48 WA9PIE Note Edited: 0009396 View Revisions
2019-11-19 06:01 w4elp Note Added: 0009397
2019-11-19 07:05 g3ucq Note Added: 0009398
2019-11-20 01:47 WA9PIE Fixed in Version 6.7.0.247 => 6.7.0.251
2019-11-20 01:47 WA9PIE Note Added: 0009414
2019-11-20 01:52 PD9FER Note Added: 0009416
2019-11-20 03:36 g3ypp Note Added: 0009420
2019-11-20 03:39 WA9PIE Assigned To WA9PIE => DOUG
2019-11-20 03:39 WA9PIE Status resolved => assigned
2019-11-20 03:39 WA9PIE Testing Alpha Successful => Beta Failed
2019-11-20 03:39 WA9PIE Note Added: 0009421
2019-11-20 04:06 g3ucq Note Added: 0009426
2019-11-20 23:12 DOUG Assigned To DOUG => WA9PIE
2019-11-20 23:12 DOUG Status assigned => resolved
2019-11-20 23:12 DOUG Note Added: 0009437
2019-11-20 23:35 WA9PIE Fixed in Version 6.7.0.251 => 6.7.0.252
2019-11-21 02:55 g3ypp Note Added: 0009438
2019-11-21 03:14 g3ucq Note Added: 0009440
2019-11-21 05:26 WA9PIE Status resolved => closed
2019-11-21 05:26 WA9PIE Testing Beta Failed => Beta Successful
2019-11-21 05:26 WA9PIE Note Added: 0009443